Android Market claims app is incompatible with my Nexus S

[Old Forum everdred] anonymous
Created: 6 years and 6 months ago
Hi all,

I tried to install the official DuckDuckGo app onto my Nexus S and the Market said that it was not compatible with my phone. I'm not sure why this is, as it's running Android 2.3 and the app says it's compatible with 1.6+.

I am apparently not the only one with this problem:
http://forum.xda-developers.com/showthread.php?t=1075633

Also, I tried installing the app on my older Android device, taking the package file from there and installing that on my Nexus S. This unfortunately did not work either.

This forum has been archived

Thank you all for the many comments, questions and suggestions. Particular thanks go to user x.15a2 for constantly monitoring, replying and helping so many users here. To continue these discussions, please head over to the DuckDuckGo subreddit.


anonymous
You could try http://replicant.us/
posted by [Old Forum guest] • 6 years and 6 months ago Link
anonymous
Worked fine on my Milestone, just can't find the widget. Shortcut works thou.
posted by [Old Forum guest] • 6 years and 6 months ago Link
caine
We will have a link up shortly that will be a direct download of the latest build.  Are you running a custom ROM?  I have a Nexus S with the latest version of vanilla android.

caine
posted by caine Staff6 years and 6 months ago Link
anonymous
Yes, I am using a custom ROM (the latest stable Blandroid), but for what it's worth, the aforementioned G1 (with which I am able to get it from the Market) is running an old version of CyanogenMod.
posted by [Old Forum everdred] • 6 years and 6 months ago Link
caine
posted by caine Staff6 years and 6 months ago Link
anonymous
Thank you for this! The app works perfectly on my Nexus S when installed via apk.

There's one small problem, though. When I click the link to latest.apk, either on my phone (stock browser) or computer (Firefox and Chromium), the browser opens the "contents" of the file instead of asking if I want to save it, displaying charcters starting with "PK0�i?���{��META-INF/MANIFEST.MF"

But if I right-click and save the file directly from the link, it is fine.
posted by [Old Forum everdred] • 6 years and 6 months ago Link